diff --git a/src/engine/client/backend_sdl.cpp b/src/engine/client/backend_sdl.cpp
index f1e6704d7..4ce82b922 100644
--- a/src/engine/client/backend_sdl.cpp
+++ b/src/engine/client/backend_sdl.cpp
@@ -1124,18 +1124,18 @@ void CGraphicsBackend_SDL_OpenGL::NotifyWindow()
 	Display *dpy = info.info.x11.display;
 	Window win = info.info.x11.window;
 
-	// Old hints
-	XWMHints *wmhints;
-	wmhints = XAllocWMHints();
-	wmhints->flags = XUrgencyHint;
-	XSetWMHints(dpy, win, wmhints);
-	XFree(wmhints);
-
-	// More modern way of notifying
 	static Atom demandsAttention = XInternAtom(dpy, "_NET_WM_STATE_DEMANDS_ATTENTION", true);
 	static Atom wmState = XInternAtom(dpy, "_NET_WM_STATE", true);
-	XChangeProperty(dpy, win, wmState, XA_ATOM, 32, PropModeReplace,
-		(unsigned char *)&demandsAttention, 1);
+	XEvent event = { ClientMessage };
+	event.xclient.window = win;
+	event.xclient.message_type = wmState;
+	event.xclient.format = 32;
+	event.xclient.data.l[0] = 1; // _NET_WM_STATE_ADD
+	event.xclient.data.l[1] = demandsAttention;
+	event.xclient.data.l[2] = 0;
+	event.xclient.data.l[3] = 1; // normal application
+	event.xclient.data.l[4] = 0;
+	XSendEvent(dpy, XDefaultRootWindow(dpy), False, SubstructureNotifyMask | SubstructureRedirectMask, &event);
 #endif
 }
 
